Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Starsector 0.9.1a is out! (05/10/19); Blog post: Skills and Story Points (07/08/19)

Pages: 1 ... 12 13 [14] 15 16 ... 25

Author Topic: [0.7.2a] Exigency v0.7.2 - Updated 3/19/17  (Read 232794 times)

MesoTroniK

  • Admiral
  • *****
  • Posts: 1370
  • I am going to destroy your ships
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #195 on: March 17, 2015, 03:38:55 PM »

Really really like the ships a lot. Every one of them is Unique and well-balanced. Just too much trouble to get them and use in campaign. Only if the mod can be compatible with Nexerelin. Or there coulb be other ways to build an army with  Exigency ships only to fight other fashions.
Well you are in luck then! Meso is currently working on getting this to work with Nexerlin and should release a patch decently Soon

Indeed Midnight Kitsune is correct I am currently working on a small update to make it Nexerelin compatible and a few other quality of life additions / changes.

As far as your second point, that is also on my list of things to do making the ships more easily acquirable. Unfortunately it will not happen quite yet as my intended way of doing it requires an annoyingly complex addition to the campaign and some new ship assets.
Logged

NightfallGemini

  • Commander
  • ***
  • Posts: 170
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #196 on: March 17, 2015, 06:34:14 PM »

I think I'm the odd one out. I like having to either be a bastard (i.e. pirate :v) and be friendly with Ahriman, or wage war against both and capture up. Sorta makes Exigency itself a boss faction in a sense.
Logged

MesoTroniK

  • Admiral
  • *****
  • Posts: 1370
  • I am going to destroy your ships
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #197 on: March 17, 2015, 07:39:21 PM »

I think I'm the odd one out. I like having to either be a bastard (i.e. pirate :v) and be friendly with Ahriman, or wage war against both and capture up. Sorta makes Exigency itself a boss faction in a sense.

That is exactly how it is meant to be right now, I like how it makes playing as a pirate somewhat more viable.
Anyways, don't worry about any sort of theoretical market for the Exigency Corporation making things "too easy". It won't be any sort of normal station you can just visit
Logged

yiyayiya17

  • Ensign
  • *
  • Posts: 4
    • View Profile
    • Email
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #198 on: March 19, 2015, 01:39:10 AM »

I think I'm the odd one out. I like having to either be a bastard (i.e. pirate :v) and be friendly with Ahriman, or wage war against both and capture up. Sorta makes Exigency itself a boss faction in a sense.

That is exactly how it is meant to be right now, I like how it makes playing as a pirate somewhat more viable.
Anyways, don't worry about any sort of theoretical market for the Exigency Corporation making things "too easy". It won't be any sort of normal station you can just visit


Looking forward to Nexerelin compatible version. Meanwhile, also like your idea of the two EI factions not being normal. No fun just buy their ships like other factions. Acquirable but not too easy Would be great.
But i will just look forward to Nexerelin compatible version by now.
Logged

rada660

  • Captain
  • ****
  • Posts: 275
    • View Profile
    • Email
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #199 on: March 19, 2015, 08:49:33 AM »

Whenever I activate your mod, I get a null error when loading the campaign... But I can say that im trying to run nexelrin... might it be the reason why it is not working?
Logged

Midnight Kitsune

  • Admiral
  • *****
  • Posts: 2636
  • Your Friendly Forum Friend
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #200 on: March 19, 2015, 09:19:09 AM »

Whenever I activate your mod, I get a null error when loading the campaign... But I can say that im trying to run nexelrin... might it be the reason why it is not working?
Taken right from the Nexelrin OP:
The following mods are not supported:
  • Exigency v0.7
Logged
Stop trying to balance the game around a few minmaxers...
Programming is like sex:
One mistake and you have to support it for the rest of your life.

Tired of having your game crash because of out of date mods? Then click here!
Spoiler
Get Version Checker today! Now with 90% less hassle! Simply toss it into your mod folder, activate the mod like a normal one and BINGO you will now be informed of any and all updates when you start SS campaign up!
[close]

rada660

  • Captain
  • ****
  • Posts: 275
    • View Profile
    • Email
Re: [0.65.2a] Exigency Incorporated v0.7 - Updated!
« Reply #201 on: March 19, 2015, 02:31:45 PM »

Well I feel like a derp right now :D
Logged

MesoTroniK

  • Admiral
  • *****
  • Posts: 1370
  • I am going to destroy your ships
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #202 on: April 04, 2015, 08:37:06 PM »

Evening everyone, it is that time again. This update may not contain a great quantity of new content but it is now supported by Nexerelin, a lot of bug fixes, AI improvements, massive optimization (you will really feel it in large fleet battles), polish, balance pass of certain things, and many more tweaks to enhance the gameplay experience.

Some new things you might encounter are a devious campaign interaction location hidden somewhere in the Tasserus system (no not an ExigencyCorp base yet), a new class of fighter, a pair of new weapons, full sets of faction interaction music, and other things.
Also I took to heart many suggestion that LB made one of them being...

Blinking lights on bombs
Spoiler
[close]

Also I present the most complex mod weapon ever made, the Repulsor Blaster
Spoiler
[close]

So go ahead and grab the new version from original post and if you have any comments or suggestions please let me know.

Changelog
Spoiler
0.7.1

New content:
- Now supported by the Nexerelin mod.
- Added ship graveyard campaign interaction location to the Tasserus system.
- Added Naithyr class gunship fighter.
- Added the Repulsor Blaster as a medium modular gun.
- Added the Mini Duster Autocannon as a small modular gun.

Balance changes / bug fixes / other random tweaks:
- ExigencyCorp attack fleet spawn rate now scales with the number of markets present (only relevant when many mod factions are installed).
- Changes to many combat scripts so that Exigency weapons / ship systems are compliant with Scy ships and any future mods that use TwigLib.
- Flares no longer trigger the Repulsor / Burst Repulsor activation AI.
- Right-click ship system UI widget should no longer vanish intermittently.
- Irithia class capital ship Tethys Drive right-click system now cannot activate while the vessel is at full burn and it should no longer be possible for recalled vessels to end up on top of ships or asteroids.
- Pergon class cruiser crew requirements raised to 70/130 from 60/120.
- Nasir class light carrier Missile Jammer right-click system activation AI improved and it will no longer show graphics effects on munitions caught in its effective radius that are not supposed to be affected by the jamming field.
- Zephos class destroyer Thalassa Drive right-click system should no longer end up on top of ships or asteroids when teleporting.
- Yria class frigate Reactive Hull right-click system activation AI improved.
- Azata class heavy interceptor main gun now has a 5 degree traverse arc.
- Azazel class heavy fighter max burn stat reduced to 4 from 5.
- Added a new variant of the Kaivor class fighter.
- Added several ship variants.
- Mounting the Azata Minigun on a hidden weapon slot will no longer crash the game.
- Ball Lightning Gun will no longer create false EMP arcs in some situations.
- Mx missiles now self destruct when it is impossible to hit the target they are tracking, this is a nerf via reduced battle saturation that does nothing but block shots and distract PD while not actually doing damage, this also substantially reduces the load on the CPU, and corrected a rare bug where the targeting decisions would get Fubar'd.
- Sidewinder Battery weapon now fires in two round bursts while regenerating ammo with a two round clip instead of one at a time and its AI was changed in the following manners, the missiles now always weave even when no targets are available (range nerf), each subsequent missile now properly alternates weave direction, and if their target is destroyed and no new ones are available it will turn back to the original facing it was fired at, also the animation is now controlled by a script for a more polished look, and corrected a rare bug where the targeting decisions would get Fubar'd.
- Horizon LRM missile second stage is no longer triggered by ships in phase and the hit force of the submunition was reduced to 20 from 30.
- Interceptor PDM missiles now weight EMP damage in their targeting decisions and no longer have their proximity fuze triggered by ships in phase.
- Optimisations, improvements and fixes to many of the scripts that are too numerous to list.
- Small random changes to probably everything in the mod that are so minor as not to be worth mentioning the specifics of.
- Probably some things I don't recall.

New / changed visuals and audio:
- The Exigency engine style for all Exi and AA ships with the exception of fighters was made a bit more subtle.
- Dynamic lighting now interacts with ExigencyCorp ship blinker lights and right-click ship system glows in a more subtle manner.
- Indra class frigate Burst Repulsor ship system charge up stage visuals were adjusted.
- The engine signature colors of all missiles were changed.
- The sprites of all missile and bomb projectiles were improved slightly.
- The Big-Bang Bomb projectile now has a blinking light on it to aid in visual recognition.
- Both The Exigency Corporation and The Ahriman Association now have full sets of faction music for fleet and station interaction.
- Added 'Desolation' campaign song.
- 'Exigency' combat song was remixed.
[close]

--

Now this update ended up being a bit smaller than I intended as the bug fixes and script improvements really took a long time to find and fix, but I am going to make up for it in the next version. If you want a hint of what will be worked on look no further than the poll at the top of this thread :)
« Last Edit: April 05, 2015, 12:37:42 AM by MesoTroniK »
Logged

Midnight Kitsune

  • Admiral
  • *****
  • Posts: 2636
  • Your Friendly Forum Friend
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #203 on: April 04, 2015, 08:55:56 PM »

Woot! Will download and test tonight!
Logged
Stop trying to balance the game around a few minmaxers...
Programming is like sex:
One mistake and you have to support it for the rest of your life.

Tired of having your game crash because of out of date mods? Then click here!
Spoiler
Get Version Checker today! Now with 90% less hassle! Simply toss it into your mod folder, activate the mod like a normal one and BINGO you will now be informed of any and all updates when you start SS campaign up!
[close]

th3boodlebot

  • Ensign
  • *
  • Posts: 28
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #204 on: April 05, 2015, 08:56:14 AM »

Hey whats up guys. I have an issue; whenever i attempt to use this mod i get the error "invalid value (1281)." Is there any way to fix this? I saw on a minecraft forum someone else was having a similar issue with a mod for that game, and the fix was to add a line of code in one of the files. Any ideas?
Logged

Midnight Kitsune

  • Admiral
  • *****
  • Posts: 2636
  • Your Friendly Forum Friend
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #205 on: April 05, 2015, 10:02:00 AM »

Hey whats up guys. I have an issue; whenever i attempt to use this mod i get the error "invalid value (1281)." Is there any way to fix this? I saw on a minecraft forum someone else was having a similar issue with a mod for that game, and the fix was to add a line of code in one of the files. Any ideas?
First of all, make  sure that your lazylib and shaderlib are up to date
Second, make sure that they are enabled in the mods list
Third: Can you post the error section from your log? The log is located in Starsector/starsector-core/ You can use baretail (a free program) to open it up easily as it can end up being a big file
Logged
Stop trying to balance the game around a few minmaxers...
Programming is like sex:
One mistake and you have to support it for the rest of your life.

Tired of having your game crash because of out of date mods? Then click here!
Spoiler
Get Version Checker today! Now with 90% less hassle! Simply toss it into your mod folder, activate the mod like a normal one and BINGO you will now be informed of any and all updates when you start SS campaign up!
[close]

th3boodlebot

  • Ensign
  • *
  • Posts: 28
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #206 on: April 05, 2015, 05:00:54 PM »

97240 [Thread-5] ERROR com.fs.starfarer.combat.D  - org.lwjgl.opengl.OpenGLException: Invalid value (1281)
org.lwjgl.opengl.OpenGLException: Invalid value (1281)
   at org.lwjgl.opengl.Util.checkGLError(Util.java:59)
   at org.lwjgl.opengl.WindowsContextImplementation.setSwapInterval(WindowsContextImplementation.java:113)
   at org.lwjgl.opengl.ContextGL.setSwapInterval(ContextGL.java:232)
   at org.lwjgl.opengl.DrawableGL.setSwapInterval(DrawableGL.java:86)
   at org.lwjgl.opengl.Display.setSwapInterval(Display.java:1129)
   at org.lwjgl.opengl.Display.setVSyncEnabled(Display.java:1142)
   at com.fs.starfarer.loading.G.super(Unknown Source)
   at com.fs.oOOO.oOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO.Ò00000(Unknown Source)
   at com.fs.starfarer.combat.D.o00000(Unknown Source)
   at com.fs.starfarer.StarfarerLauncher$2.run(Unknown Source)
   at java.lang.Thread.run(Unknown Source)

I've gotten this error from Exigency from the version prior to current, but with the recent update I was hoping it might work now. I just checked this morning and twiglib lazylib and shaderlib are all up to date.
Logged

MesoTroniK

  • Admiral
  • *****
  • Posts: 1370
  • I am going to destroy your ships
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #207 on: April 05, 2015, 06:19:50 PM »

That is uh, something really esoteric you got there th3boodlebot.

Can you use ShaderLib with other mods?
Logged

th3boodlebot

  • Ensign
  • *
  • Posts: 28
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #208 on: April 05, 2015, 07:33:00 PM »

I use it with every mod. I've never had any issues. I was also loading this with Starsector+ Patrian Navy Valkyrians Blackrock Driveyards Valkyrians Console Commands Common Radar and (n)excerelin. Also musiclib. I would run it with other mods but my computer cant handle loading all that data. I have pretty much every mod compatible with the latest version of Starsector lol. I must say, as far as modding communities go, you guys are top notch! Soooo much extra content and it's all stellar, not to mention the base game itself is really a blast. I've been following this game since day one with a dell laptop, now playing on a desktop (which isn't much of an improvement from a hardware standpoint, but still runs with a better framerate). I even watch most of the let's plays that come out, especially during the time when I didn't have a computer to play it on myself. But I digress, the problem is most likely that I'm running the game on 32 bit vista (on an aging desktop no less). I was just really hoping to try out the Ahriman Association! It looks really cool from a pirating standpoint (which is all I ever do lol). I'm at least happy, however, that i got to play Exigency on an older build of Starsector back in the day. If anyone can come up with a solution to my problem, kudos and thanks in advance!
Logged

MesoTroniK

  • Admiral
  • *****
  • Posts: 1370
  • I am going to destroy your ships
    • View Profile
Re: [0.65.2a] Exigency Incorporated v0.7.1 - Updated 4/4/15
« Reply #209 on: April 05, 2015, 08:25:56 PM »

th3boodlebot, are your drivers up-to-date?
Logged
Pages: 1 ... 12 13 [14] 15 16 ... 25